# rampart_sec_processed_result.h File Reference

The module to keep the results after processing the message. More...

`#include <axutil_utils_defines.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axis2_msg_ctx.h>`

Go to the source code of this file.

## Functions
AXIS2_EXTERN axis2_status_t | rampart_set_security_processed_result (const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx, axis2_char_t *key, void *value)
AXIS2_EXTERN void * | rampart_get_security_processed_result (const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx, axis2_char_t *key)
AXIS2_EXTERN axis2_status_t | rampart_set_security_processed_results_property (const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx)
AXIS2_EXTERN axutil_hash_t * | rampart_get_all_security_processed_results (const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx)
AXIS2_EXTERN void | rampart_print_security_processed_results_set (const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx)

## Detailed Description

The module to keep the results after processing the message.

## Function Documentation

AXIS2_EXTERN axutil_hash_t* rampart_get_all_security_processed_results | ( | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx |
| ) |  |  |

Get the complete set of security processed results the environment the message context in which data are extracted

Returns:
  complete set of security processed results.

AXIS2_EXTERN void* rampart_get_security_processed_result | ( | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx,
|  | axis2_char_t * | key |
| ) |  |  |

Get a security processed result from a message context. A service may use this method to retirieve a particular result by the key the environment the message context in which data are extracted as specified in rampart_constants section SPR

Returns:
  value of the security processed result corresponding to

AXIS2_EXTERN void rampart_print_security_processed_results_set | ( | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx |
| ) |  |  |

Prints all ke/val pairs in the security processed results. For debugging purposes the environment the message context in which data are extracted

Returns:
  void

AXIS2_EXTERN axis2_status_t rampart_set_security_processed_result | ( | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx,
|  | axis2_char_t * | key,
|  | void * | value |
| ) |  |  |

Set a security processed result to the message context

Parameters:

  | env | Environment structure
  | msg_ctx | message context sttucture
  | key | key of the security processed result
  | value | value of the security processed result

Returns:
  status of the operation

AXIS2_EXTERN axis2_status_t rampart_set_security_processed_results_property | ( | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx |
| ) |  |  |

Set a security processed result property to the message context the environment the message context in which data are stored/extracted

Returns:
  status of the operation